<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Web Management</title>
<link rel="stylesheet" type="text/css" href="../style/common.css" />
<script type="text/javascript" src="../js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="../js/jquery.simplemodal.1.4.3.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="js/system_common.js"></script>
<script type="text/javascript" src="js/device_config.js"></script>
<script type="text/javascript">
var language = ENGLISH;
</script>
<style type="text/css">
table input[type=text] {
	width: 240px;
}
table select {
	width: 155px;
}
a {
	text-decoration: underline;
}
</style>
</head>
<body>
<div class="mainframe" id="mainContent">
  <div class="content_div_small">
    <div class="table_tab_div">
      <div class="table_tab_left"></div>
      <div class="table_tab">Misc</div>
      <div class="table_tab_right"></div>
    </div>
    <div class="div_table_button">
      <div class="div_table_button_area">
        <input id="applyBtn" type="button" value="Apply" class="input_normal" onclick="pageApply();" />
        <input id="refreshBtn" type="button" value="Refresh" class="input_normal" onclick="PageRefresh(TOP);" />
      </div>
    </div>
    <table>
      <tr>
        <th width="240px">Device Name</th>
        <td class="header"><input type="text" id="deviceName" /></td>
      </tr>
      <tr>
        <th>SNMP Community Name</th>
        <td><input type="text" id="snmpPublicName" /></td>
      </tr>
      <tr>
        <th>Service ID Format</th>
        <td><select id="sidFormat">
            <option value="0" selected="selected">Decimal</option>
            <option value="1">Hexadecimal</option>
          </select></td>
      </tr>
      <tr>
        <th>PID Format</th>
        <td><select id="pidFormat">
            <option value="0" selected="selected">Decimal</option>
            <option value="1">Hexadecimal</option>
          </select></td>
      </tr>
      <tr>
        <th>Input PSI/SI Display</th>
        <td><select id="psiPidSwitch">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select></td>
      </tr>
      <tr>
        <th>Output PSI/SI Version Number</th>
        <td><select id="outPsiVersionNum">
            <option value="0" selected="selected">Not Change</option>
            <option value="1">Auto Change</option>
          </select></td>
      </tr>
      <tr>
        <th>Bitrate Statistics Cycle</th>
        <td><select id="bitrateStatistic">
            <option value="0" selected="selected">1s</option>
            <option value="1">0.5s</option>
            <option value="2">0.25s</option>
          </select></td>
      </tr>
      <tr>
        <th>Device Mode</th>
        <td><select id="deviceMode">
            <option value="0" selected="selected">DVB</option>
            <option value="1">ATSC</option>
          </select></td>
      </tr>
      <tr id="powerConfig" style="display: none">
        <th>Power Monitor</th>
        <td><select id="powerUnitCfg">
            <option value="0" selected="selected">Dual Power</option>
            <option value="1">Power1</option>
            <option value="2">Power2</option>
          </select></td>
      </tr>
      <tr>
        <th>Power Type</th>
        <td><span id="powerType"></span></td>
      </tr>
      <tr id="gbeCardModeTr" style="display: none">
        <th>Main GbE Card Mode</th>
        <td><select id="gbeCardMode" class="select_fix_width">
            <option value="0" selected="selected">General</option>
            <option value="1">FEC</option>
          </select></td>
      </tr>
      <tr>
        <th>CA Server</th>
        <td id="caIp"></td>
      </tr>
      <tr>
        <th>Power/Fan Alarm</th>
        <td><select id="alarmSwitch">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select></td>
      </tr>
      <tr>
        <th>Default Charset</th>
        <td><select id="defaultCharCode">
            <option value="1">ISO 8859-1</option>
            <option value="2">ISO 8859-2</option>
            <option value="3">ISO 8859-3</option>
            <option value="4">ISO 8859-4</option>
            <option value="5">ISO 8859-5(Cyrillic)</option>
            <option value="6">ISO 8859-6(Arabic)</option>
            <option value="7">ISO 8859-7(Greek)</option>
            <option value="8">ISO 8859-8(Hebrew)</option>
            <option value="9">ISO 8859-9</option>
            <option value="10">ISO 8859-10</option>
            <option value="11">ISO 8859-11</option>
            <option value="13">ISO 8859-13</option>
            <option value="14">ISO 8859-14(Celtic)</option>
            <option value="15">ISO 8859-15</option>
            <option value="16">ISO 10646(BMP)</option>
            <option value="17">KSX1001-2004(Korean)</option>
            <option value="18" selected="selected">GB-2312(Chinese)</option>
            <option value="19">UTF-8</option>
          </select></td>
      </tr>
      <tr>
        <th>Forces The Use Of Charset</th>
        <td><select id="charCodeEna">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select></td>
      </tr>
      <tr>
        <th>PID Adaptive</th>
        <td><select id="pidAdaptive">
            <option value="0">Off</option>
            <option value="1">On</option>
          </select></td>
      </tr>
      <tr>
        <th>Fan Speed</th>
        <td><select id="fanSpeed">
            <option value="0">Min</option>
            <option value="1">Slow</option>
            <option value="2" selected="selected">Middle</option>
            <option value="3">High</option>
            <option value="4">Max</option>
          </select></td>
      </tr>
      <tr>
        <th>Fan Speed Status(r/min)</th>
        <td id="fanSpeedStat"></td>
      </tr>
      <tr>
        <th>Firewall</th>
        <td><select id="fireWall">
            <option value="0" selected="selected">Off</option>
            <option value="1">On</option>
          </select></td>
      </tr>
      <tr>
        <th>Mux Port Display</th>
        <td><select id="muxPortDisplay">
            <option value="0" selected="selected">By Card</option>
            <option value="1">All</option>
          </select></td>
      </tr>
    </table>
  </div>
</div>
<div id="promptInfo" class="prompt_div">
  <img id="promptSuccess" class="prompt_image" src="../style/images/success.png" />
  <img id="promptError" class="prompt_image" src="../style/images/failure.png" />
  <div id="promptText" class="prompt_text"></div>
</div>
</body>
</html>
