﻿var objIdArray = ["cardNo", "nameCh", "nameEn"];
var editIdArray = ["userName", "userGroup", "curPassword", "newPassword", "confirmPassword"];
var EDIT_GROUP = 1;
var CURRENT_PASSWORD = 2;
var EDIT_ROW_NUM = 4;//添加和修改都不上传确认密码
var ROW_NUM = 5;
var actionType;
var rowNum;
var NAME = 0;
var GROUP = 1;

window.onresize = function()
{
	GetMainContentHeight(BUTTON_TOP_NO_MENU, NO_BUTTON_CHANGE);
}

$(document).ready(function()
{	
	GetMainContentHeight(BUTTON_TOP_NO_MENU, NO_BUTTON_CHANGE);
	funcUpdateDisplay();

});

function funcUpdateDisplay() 
{		
	DisableButton("addBtn");
	DisableButton("refreshBtn");
	PageLoadStatus(true);
	
	displayParam();
	
	ResetColor();
	EnableButton("addBtn");
	EnableButton("refreshBtn");
	PageLoadStatus(false);
}

function displayParam() 
{
	var data;
	var response;
	var xmlHttp = GetHTTPObject();

	xmlHttp.open("GET", "/goform/formEMR30?type=" + CARD_MANAGE + "&cmd=" + GET + 
		"&language=" + language + "&slotNo=" + slotNo + "&ran=" + Math.random(), true);
	xmlHttp.onreadystatechange = function()
	{
		if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
		{
			response = AjaxStrDeal(xmlHttp.responseText);
			if(response == "")
			{
				rowNum = 0;
			}
			else
			{
				data = response.split(FIRST_DELIMITER);
				rowNum = data.length;
			}
			DrawTableRow("cardList", "dataRow", "cardData", rowNum);
			if(rowNum != 0)
			{
				updateTableData(data);
			}
			refreshFlag = true;
		}
	}
	xmlHttp.send(null);
}

function updateTableData(data)
{
	var rowData;
	var index;
	for(var i = 0; i < rowNum; i++)
	{
		index = i + 1;
		rowData = data[i].split(SECOND_DELIMITER);
		$("#cardNo" + index).html(rowData[0]);
		$("#nameCh" + index).val(rowData[1]);
		$("#nameEn" + index).val(rowData[2]);
	}
}

function cancelEdit()
{
	$.modal.close();
}

function clearEdit()
{
	for(var i = 0; i < ROW_NUM; i++)
	{
		if(i == EDIT_GROUP)
		{
			$("#" + editIdArray[i]).val("administrator");
		}
		else
		{
			$("#" + editIdArray[i]).val("");
		}
	}
	$("#newPsdCheckbox").prop("checked", false);
}

/*************************************************
Function: 		pageApply
Description: 	用于子卡名称修改
Input: 			无
Output:			无
Return: 		无
Others: 		无
*************************************************/
function pageApply()
{
	var data;
	var xmlHttp = GetHTTPObject();
	var response;
	
	if(paramCheck() == false)
	{
		return;
	}
	
	data = "type=" + CARD_MANAGE + "&cmd=" + SET + "&language=" + language + "&slotNo=" + slotNo + "&operation=1" + "&setString=";		
	data += generateData();
	
	xmlHttp.open("POST", "/goform/formEMR30", true)
	xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	xmlHttp.setRequestHeader("Content-length", data.length);

	xmlHttp.onreadystatechange = function()
	{
		if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
		{
			$.modal.close();
			response = parseInt(AjaxStrDeal(xmlHttp.responseText), 10);
			if(response == RETURN_OK)
			{	
				if(language == ENGLISH)
				{
					alert("Modify successfully!");
				}
				else if(language == CHINESE)
				{
					alert("修改成功！");
				}
			}
			else
			{
				alert(returnError[language][response]);
			}
			funcUpdateDisplay();
		}
	}
	xmlHttp.send(data);
}
/*************************************************
Function: 		resetDefault
Description: 	恢复默认
Input: 			无
Output:			无
Return: 		无
Others: 		无
*************************************************/
function resetDefault(){
var data;
	var xmlHttp = GetHTTPObject();
	var response;
	
	data = "type=" + CARD_MANAGE + "&cmd=" + SET + "&language=" + language + "&slotNo=" + slotNo + "&operation=2" + "&setString=";
	
	xmlHttp.open("POST", "/goform/formEMR30", true)
	xmlHttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
	xmlHttp.setRequestHeader("Content-length", data.length);

	xmlHttp.onreadystatechange = function()
	{
		if((xmlHttp.readyState == 4) && (xmlHttp.status == 200))
		{
			$.modal.close();
			response = parseInt(AjaxStrDeal(xmlHttp.responseText), 10);
			if(response == RETURN_OK)
			{	
				if(language == ENGLISH)
				{
					alert("Modify successfully!");
				}
				else if(language == CHINESE)
				{
					alert("修改成功！");
				}
			}
			else
			{
				alert(returnError[language][response]);
			}
			funcUpdateDisplay();
		}
	}
	xmlHttp.send(data);
}
function generateData()
{
	var data;
	
	for(var i = 0; i < rowNum; i++)
	{
		for(var j = 0; j < 3; j++)
		{
			if((i == 0) && (j == 0))
			{
				data = $("#" + objIdArray[j] + (i + 1)).html();
			}
			else if((i != 0) && (j == 0))
			{
				data += FIRST_DELIMITER + $("#" + objIdArray[j] + (i + 1)).html();
			}
			else
			{
				data += SECOND_DELIMITER + $("#" + objIdArray[j] + (i + 1)).val().replace(/\+/g, "%2B").replace(/\&/g, "%26");
			}
		}
	}
	
	return data;
}
		
function paramCheck()
{
	for(var i = 0; i < rowNum; i++)
	{
		if(language == ENGLISH)
		{
			if(ValidateParam($("#nameEn" + (i + 1)), "NAME", 0, 31, "<English Name>", "<英文名称>", language) == false)
			{
				return false;
			}
		}
		else if(language == CHINESE)
		{
			if(ValidateParam($("#nameCh" + (i + 1)), "NAME", 0, 31, "<Chinese Name>", "<中文名称>", language) == false)
			{
				return false;
			}
		}		
	}
	return true;
}